org.apache.ignite.internal.util

## Interface GridSerializableIterator<E>

All Superinterfaces:
  Iterator<E>, Serializable

All Known Subinterfaces:
  CacheWeakQueryIteratorsHolder.WeakReferenceCloseableIterator<T>, GridCloseableIterator<T>, GridIterable<T>, GridIterator<T>

All Known Implementing Classes:
  CacheWeakQueryIteratorsHolder.WeakQueryCloseableIterator, GridCacheIterator, GridCloseableIteratorAdapter, GridCloseableIteratorAdapterEx, GridEmptyCloseableIterator, GridEmptyIterator, GridIterableAdapter, GridIteratorAdapter, GridSpiCloseableIteratorWrapper

    public interface GridSerializableIterator<E>
    extends Iterator<E>, Serializable

Makes `Iterator` as `Serializable` and is useful for making anonymous serializable iterators.

### Method Summary

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016